:root {
    --main-color: #201E2B;
    --sec-bg-color: #F8FCFE;
    --black: #000;
    --white: #fff;
    --blue: #007CAD;
    --blue-border: #46B2FF;
    --purple-border: #A958FF;
    --orange-border: #F39831;
    --green-border: #57BC18;
    --red-border: #BE2121;
  }
  
  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    transition: all 0.3s linear;
    list-style-position: inside;
  }
  
  html {
    scroll-behavior: smooth;
    scroll-padding-top: 100px;
  }
  
  body {
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
  }
  
  header {
    display: flex;
    flex-direction: column;
    padding-bottom: 160px;
    max-width: 1440px;
  }
  
  section {
    margin: 0 auto;
    padding: 2rem 1rem;
  }
  
  .wrapper {
    margin: 0 auto;
    max-width: 1440px;
  }
  
  .second-bg {
    background-color: var(--sec-bg-color);
  }

  /* Buttons */
.btn {
    display: inline-flex;
    padding: 10px 16px;
    font-size: 14px;
    font-weight: 500;
    color: var(--white);
    background-color: var(--blue);
    border-radius: 12px;
    cursor: pointer;
  }
  
  .btn:hover {
    color: var(--white);
    background-color: #05597a;
  }
  
  .btn.dark {
    padding: 4px 24px;
    font-size: 14px;
    background-color: var(--main-color);
    border: 3px solid var(--main-color)
  }
  
  .btn.dark:hover {
    color: var(--main-color);
    background-color: transparent;
    border-color: var(--main-color);
  }
  
  .btn.white {
    padding: 4px 24px;
    color: var(--main-color);
    background-color: transparent;
    border: 3px solid var(--main-color);
  }
  
  .btn.white:hover {
    color: var(--white);
    background-color: var(--main-color);
    border-color: var(--main-color);
  }
  
  .btn.blue-border {
    background-color: transparent;
    border: 3px solid var(--blue-border);
  }
  
  .btn.blue-border:hover {
    background-color: var(--blue-border);
  }
  
  .btn.heading {
    padding: 4px 32px;
    font-size: 20px;
    background-color: var(--main-color);
  }
  
  .btn.icon {
    gap: 5px;
    align-items: center;
  }
  
  h2.btn {
    cursor: auto;
  }
  
  .heading {
    display: flex;
    flex-direction: column;
    gap: 16px;
    text-align: center;
    margin: 0 auto;
    max-width: 1000px;
  }
  
  .heading h3 {
    font-size: clamp(24px, 3vw, 32px);
  }
  
  .heading p {
    font-size: clamp(14px, 1.5vw, 16px);
  }

  /* Baner Podstrony */

.baner-strony {
    background: url('https://przychodnianowiny.pl/assets/images/baner-strony-tlo.webp') no-repeat;
    background-size: cover; 
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    align-items: center;
    width: 100%;
    height: 200px; 
  }
  
  .baner-strony .wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 36px 0;
    height: 128px;
  }
  
  .baner-strony h1 {
    font-size: clamp(32px, 5vw, 64px);
    font-weight: 600;
    color: var(--white);
  }
  
  .baner-strony .navigation {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    align-items: center;
    margin-top: 8px;
    font-size: 12px;
  }
  
  .baner-strony .navigation a,
  .baner-strony .navigation i {
    color: var(--white);
  }

  /* Top Menu */

.top-menu {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    width: 100%;
    min-height: 50px;
    background-color: var(--main-color);
    z-index: 1100;
  }
  
  .top-menu a {
    color: var(--white);
  }
  
  .top-menu .contact {
    display: none;
  }
  
  .top-menu .contact i {
    margin-right: 10px;
  }
  
  .top-menu .links {
    display: flex;
    gap: 50px;
    align-items: center;
    text-align: center;
  }
  
  
  /* Navbar */
  nav {
    position: fixed;
    top: 70px;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
    width: 100%;
    background-color: var(--white);
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.5);
    z-index: 1000;
  }
  
  nav.active {
    background-color: var(--footer);
  }
  
  nav ul {
    position: absolute;
    top: -1000%;
    left: 0;
    right: 0;
    display: block;
    text-align: center;
    margin-top: 3.5rem;
    list-style: none;
    opacity: 0;
  }
  
  nav ul.active {
    top: 10px;
    background-color: var(--white);
    opacity: 1;
  }
  
  nav ul li {
    margin: 2.5rem;
    font-size: 20px;
    font-weight: 500;
  }
  
  nav ul li a {
    color: var(--black);
  }
  
  nav ul li a:hover,
  nav ul li i:hover {
    color: var(--blue);
  }
  
  nav ul li i:hover {
    cursor: pointer;
  }
  
  nav ul li.active-cat a {
    color: var(--blue);
    border-bottom: 3px solid var(--blue);
  }
  
  nav ul .dropdown.active-cat ul li a {
    color: unset;
    border-bottom: none;
  }
  
  #menu-btn {
    font-size: 30px;
    color: var(--black);
    cursor: pointer;
  }
  
  ul .dropdown i {
    margin-left: 5px;
  }
  
  /* Submenu */
  .dropdown-menu {
    position: relative;
    top: 100%;
    left: 0;
    display: none;
    margin: 0;
    background: var(--white);
    opacity: 0;
  }
  
  .dropdown.active .dropdown-menu {
    display: block;
    opacity: 1;
  }
  
  .dropdown-menu li a {
    display: block;
    font-size: 18px;
    color: #4b4b4b;
    transition: all .2s linear;
  }

  /* Baner Umów Wizytę */

.baner-wizyta {
    background: url('https://przychodnianowiny.pl/assets/images/baner-umow-wizyte-tlo.webp') no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 400px;
    color: var(--white);
  }
  
  .baner-wizyta .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 24px;
    font-weight: 600;
  }
  
  .baner-wizyta .container h3 {
    font-size: clamp(18px, 4vw, 24px);
  }
  
  .baner-wizyta .container p {
    font-size: clamp(22px, 5vw, 48px);
  }

  /* Footer */

.footer {
    margin-bottom: 0;
    padding-bottom: 32px;
    background-color: var(--main-color);
  }
  
  .footer .wrapper {
    max-width: 1650px;
  }
  
  .footer .box-container {
    display: flex;
    flex-direction: column;
    gap: 32px;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 0 auto;
  }
  
  .footer .box-container .box {
    padding: 16px 0;
  }
  
  .footer .box-container .box.first .buttons {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: 16px;
  }
  
  .footer .box-container .box h3 {
    font-size: 24px;
    font-weight: 700;
    color: var(--white);
  }
  
  .footer .box-container .box .links {
    display: flex;
    margin: 25px 0;
    text-align: center;
    justify-content: center;
    color: var(--white);
  }
  
  .footer .social {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 12px;
    margin-top: 50px;
  }
  
  .footer .social span {
    font-size: 20px;
    font-weight: 600;
    color: var(--white);
    text-transform: uppercase;
  }
  
  .footer .copyright {
    text-align: center;
    margin-top: 100px;
    font-size: 14px;
    color: var(--white);
  }
  
  .footer .copyright a {
    color: var(--white);
  }


@media (min-width: 450px) {

    .btn {
        font-size: 16px;
    }
  
  }

  @media (min-width: 576px) {
    .top-menu {
      justify-content: space-between;
    }
  
    .top-menu .contact {
      display: flex;
      flex-wrap: wrap;
      gap: 10px;
      font-size: 14px;
    }
  
    .top-menu .contact a {
      padding-right: 10px;
      border-right: 2px solid rgba(255, 255, 255, 0.3);
    }
  
    .top-menu .links {
      gap: 24px;
    }
  
  }

  @media (min-width: 768px) {

    nav,
    .top-menu {
        padding: 16px 32px;
    }
  
    .baner-strony .navigation {
      font-size: 16px;
    }
  
  }

  @media(min-width: 991px) {
    .footer .box-container {
      flex-direction: row;
      flex-wrap: wrap;
      gap: 100px;
      align-items: flex-start;
    }
  }

  @media (min-width: 1250px) {

    section {
      padding: 50px;
    }
  
    nav,
    .top-menu {
        padding: 16px 50px;
    }
  
    .footer .box-container {
      justify-content: space-between;
      gap: 50px;
    }
  
    .footer .box-container .box,
    .footer .box-container .box .links {
      justify-content: flex-start;
      text-align: left;
    }
  
  }

  @media (min-width: 1290px) {

    #menu-btn {
        display: none;
    }
  
    nav ul {
      position: relative;
      display: flex;
      gap: 30px;
      align-items: center;
      margin-top: 0;
      opacity: 1;
    }
  
    nav ul li {
        margin: 0;
        font-size: 16px;
    }
  
    .dropdown {
      position: relative;
    }
  
    .dropdown:hover .dropdown-menu,
    .dropdown.active .dropdown-menu {
      display: block;
      opacity: 1;
    }
  
    .dropdown-menu {
      position: absolute;
      display: none;
      text-align: left;
      padding: 12px;
      min-width: 250px;
      background: var(--white);
      border-radius: 4px;
      box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
    }
  
    .dropdown-menu li a {
      margin: 12px 0;
      font-size: 16px;
    }
  
    .deklaracja-wyboru .box-container {
      gap: 100px;
    }
  }
  
  @media (min-width: 1400px) {

    nav ul {
        gap: 50px;
    }
  
  }
  
  @media (min-width: 1550px) {
  
    nav ul li {
        font-size: 18px;
    }
  
  }